%define major 6
%define last_abi_break_version 1.99.11
%define oname gal
%define name gal2.0
%define libname %mklibname %{name}_ %major

Summary: Library for compound documents in GNOME2
Name: %name
Version: 1.99.11
Release: 4mdk
License: LGPL
Group: System/Libraries
URL: http://www.gnome.org/
BuildRequires: libgnomeui2-devel
BuildRequires: libgnomeprintui-devel >= 2.2
BuildRequires: libglade2.0-devel
BuildRequires: perl-XML-Parser
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%oname/%version/%{oname}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%description
This the G App Libs (GAL).

This module contains some library functions that came from Gnumeric
and Evolution.  The idea is to reuse those widgets across various
larger GNOME applications that might want to use these widgets.
%package -n %libname
Summary: %{summary}
Group: %{group}
Requires: %name >= %version-%release

%description -n %libname
This the G App Libs (GAL).

This module contains some library functions that came from Gnumeric
and Evolution.  The idea is to reuse those widgets across various
larger GNOME applications that might want to use these widgets.

%package -n %libname-devel
Summary: Libraries and include files for gal
Group: Development/C
Requires: %libname = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Requires: libglade2.0-devel
Requires: libgnomeprint-devel >= 2.2
Conflicts: lib%{name}-devel < %{last_abi_break_version}

%description -n %libname-devel
This package provides the necessary development libraries and include
files to allow you to develop programs using gal.

%prep
%setup -q -n %oname-%version

%build
%configure2_5x

#parallel compilation is broken
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
rm -f %buildroot%_libdir/gtk-2.0/modules/libgal-a11y-2.0.{la,a}
%find_lang %{oname}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -f %{oname}-%{version}.lang
%defattr(-,root,root,-)
%doc README NEWS AUTHORS MAINTAINERS ChangeLog
%dir %{_datadir}/gal-2.0
%{_datadir}/gal-2.0/%version

%files -n %libname
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%files -n %libname-devel
%defattr(-,root,root,-)
%doc %{_datadir}/gal-2.0/html
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*
%{_includedir}/*


%changelog
* Thu Sep 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.11-4mdk
- Enable libtoolize

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.11-3mdk
- Fix BuildRequires

* Thu Mar 25 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.11-2mdk
- Add conflicts on devel package to ease upgrade

* Fri Mar 12 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.11-1mdk
- Release 1.99.11

* Thu Sep 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.10-1mdk
- Release 1.99.10

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.9-3mdk
- Fix dependencies/buildrequires

* Mon Aug  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.99.9-2mdk
- Really remove dependency on old version

* Mon Aug  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.99.9-1mdk
- Release 1.99.9

* Fri Jul 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.99.8-1mdk
- Release 1.99.8

* Thu Jun 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.99.7-2mdk
- Rebuild against latest libbonobo

* Tue Jun 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.99.7-1mdk
- Release 1.99.7

* Mon Jun 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.99.6-1mdk
- Release 1.99.6

* Wed May 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.99.4-1mdk
- Release 1.99.4

* Wed Apr 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.99.3-1mdk
- Release 1.99.3

* Thu Mar 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.2-1mdk
- mklibname macro
- split out data package
- drop patch
- rename from gal-2-0 to gal2.0
- new version

* Mon Dec  2 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.0.7-1mdk
- spec fixes
- patch to fix requires for new gnomeprint
- new version

* Mon Sep 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.6-1mdk
- GNOME 2 port of gal


